=== debian/control ===
--- 
+++ 
@@ -2,13 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libtool,
-               libevent-dev (>= 1.4.1), fiu-utils (>=0.13-3), procps,
+Build-Depends: debhelper (>= 7.0.50~), libtool, fiu-utils (>=0.13-3), procps,
                net-tools, python-minimal
 Standards-Version: 3.9.3
 Homepage: http://xph.us/software/beanstalkd/
-Vcs-Git: git://git.debian.org/collab-maint/beanstalkd.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/beanstalkd.git
 
 Package: beanstalkd
 Architecture: any
