=== debian/changelog ===
beanstalkd (1.7-1ubuntu1) raring; urgency=low

  * Added missing preprocessor directive to fix FTBFS on Linux.
    (Closes: #701429)

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 31 Mar 2013 18:20:03 -0400

beanstalkd (1.7-1) unstable; urgency=high

  * New upstream (Closes: #666775, #687402); high urgency due to RC bugs
  * Add Vcs-* headers in debian/control

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 15 Sep 2012 12:18:05 +0200

beanstalkd (1.6-1) unstable; urgency=low

  * New upstream
    - drop build dependencies (python-minimal, procps, fiu-utils) due to
      re-organisation of tests
    - debian/rules: do not disable any tests
    - drop debian/patches/randomise-port.diff

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 20 May 2012 18:57:56 +0200

beanstalkd (1.5-2) unstable; urgency=high

  * Add debian/patches/freebsd-build.diff to fix FTBFS for gnu/kfreebsd
    (Closes: #664613); high urgency due to RC bug

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 01 Apr 2012 15:33:27 +0200
