=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: beanstalkd
 Section: net
 Priority: extra
-Maintainer: Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libtool, fiu-utils (>=0.13-3), procps,
-               net-tools, python-minimal
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Serafeim Zanikolas <sez@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), libtool, net-tools
 Standards-Version: 3.9.3
 Homepage: http://xph.us/software/beanstalkd/
+Vcs-Git: git://git.debian.org/collab-maint/beanstalkd.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/beanstalkd.git
 
 Package: beanstalkd
 Architecture: any
