=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: beanstalkd
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libtool, net-tools
-Standards-Version: 3.9.3
-Homepage: http://xph.us/software/beanstalkd/
-Vcs-Git: git://git.debian.org/collab-maint/beanstalkd.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/beanstalkd.git
+Maintainer: Gregory Potamianos <greg.potamianos@gmail.com>
+Uploaders: Apollon Oikonomopoulos <apoikos@gmail.com>,
+ Serafeim Zanikolas <sez@debian.org>
+Build-Depends: debhelper (>= 9), libtool, net-tools
+Standards-Version: 3.9.4
+Homepage: http://kr.github.com/beanstalkd/
+Vcs-Git: git://anonscm.debian.org/collab-maint/beanstalkd.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/beanstalkd.git
 
 Package: beanstalkd
 Architecture: any
