=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# don't unnecessarily link against libnsl
-export ac_cv_lib_nsl_inet_aton=thanks_but_no
 # for beanstalkd test scripts
 export VERBOSE=1
 
 %:
 	dh $@
-
-override_dh_auto_configure:
-	dh_auto_configure -- --disable-rpath
 
 override_dh_prep:
 	dh_prep -X beanstalkd.spec
