=== debian/changelog ===
beanstalkd (1.9-2ubuntu1) trusty; urgency=medium

  * debian/patches/0003-Use-external-sd-daemon-on-linux.patch: Dropped
    causes FTBFS on Ubuntu. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 13 Jan 2014 09:37:04 -0500

beanstalkd (1.9-2) unstable; urgency=medium

  [ Gregory Potamianos ]
  * Use debian libsystemd-daemon where available

  [ Apollon Oikonomopoulos ]
  * Add patch fixing segfault on interrupted epoll_wait. Thanks to Danny
    Guinther for the patch! (LP: #1263808)
  * Add Documentation field to the systemd unit file
  * Add systemd socket activation support
  * Restart beanstalkd after upgrade (and not during). This ensures that
    socket activation under systemd will work predictably during upgrades and
    also minimizes service downtime.

 -- Gregory Potamianos <greg.potamianos@gmail.com>  Thu, 09 Jan 2014 20:20:18 +0200

beanstalkd (1.9-1) unstable; urgency=low

  [ Gregory Potamianos ]
  * Imported Upstream version 1.9
  * debian/watch: beanstalkd now uses github archive
  * debian/patches: drop 0003-Fix-FTBFS-in-hurd-i386.patch, merged upstream
  * debian/patches: refresh 0001-Fix-FTBFS-for-gnu-kfreebsd.patch
  * debian/patches: refresh 0002-Sanitize-Makefile.patch
  * debian/docs: removed NEWS.md, removed upstream
  * debian/default: remove obsolete variables
  * debian/control: Bump Standards-Version to 3.9.5 (no changes)

  [ Apollon Oikonomopoulos ]
  * Init script/defaults refactoring
  * Initial systemd support

 -- Gregory Potamianos <greg.potamianos@gmail.com>  Tue, 12 Nov 2013 15:26:11 +0200
