=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: beanstalkd
 Section: net
 Priority: extra
-Maintainer: Gregory Potamianos <greg.potamianos@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gregory Potamianos <greg.potamianos@gmail.com>
 Uploaders: Apollon Oikonomopoulos <apoikos@gmail.com>,
  Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 9), libtool, net-tools
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libtool, net-tools, dh-systemd (>= 1.5), libsystemd-daemon-dev [linux-any]
+Standards-Version: 3.9.5
 Homepage: http://kr.github.com/beanstalkd/
 Vcs-Git: git://anonscm.debian.org/collab-maint/beanstalkd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/beanstalkd.git
