=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/kr/beanstalkd/tags .*/v?(\d\S*)\.tar\.gz
