=== debian/changelog ===
beanstalkd (1.10-4) unstable; urgency=medium

  * Bump Standards to 3.9.8; no changes needed
  * Enable all hardening flags
  * Depend on lsb-base for /lib/lsb/init-functions

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 17 Dec 2016 01:17:16 +0200

beanstalkd (1.10-3) unstable; urgency=medium

  * Fix Vcs-Git URL.
  * Add a patch to fix log compaction for logs > 2GB (upstream commit
    93ab9345).
  * Add DEP-8 tests.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 27 Jan 2016 12:20:22 +0200

beanstalkd (1.10-2) unstable; urgency=medium

  * d/control: set priority to optional
  * d/control: use HTTPS in Vcs-* and Homepage fields
  * Bump standards to 3.9.6; no changes needed
  * d/rules: use LDLIBS for libsystemd - change obtained from Ubuntu
    (closes: #779831)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 26 Jan 2016 16:36:30 +0200

beanstalkd (1.10-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * New upstream release
    + Drop 0004-fix-segfault-on-interrupted-epoll_wait.patch, fixed upstream.
    + Refresh 0002-Sanitize-Makefile.patch and
      0003-Use-external-sd-daemon-on-linux.patch to match upstream changes.
  * 0003-Use-external-sd-daemon-on-linux.patch: include
    systemd/systemd-daemon.h before dat.h; fixes FTBFS with newer systemd
    header versions.
  * Add a patch to fix a couple of bugs in upstream's test suite.
  * B-D on systemd-dev instead of systemd-daemon-dev and link with -lsystemd.
  * d/watch: use sane filenames for upstream tarballs.
  * Remove Serafeim Zanikolas from Uploaders. Thanks for your hard work!

  [ Gregory Potamianos ]
  * Fix typo in beanstalkd.service file, causing it to ignore BEANSTALKD_EXTRA
    from /etc/default/beanstalkd.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 18 Sep 2014 09:03:49 +0300
