=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,12 @@
 # for beanstalkd test scripts
 export VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 # no libsystemd-daemon on non-linux arches
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-	export DEB_LDFLAGS_MAINT_APPEND = -lsystemd-daemon
+	export LDLIBS = -lsystemd
 	export DEB_CFLAGS_MAINT_APPEND = -DUSE_EXTERNAL_SD_DAEMON=1
 endif
