## beanstalkd 1.11

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,9 @@
-DESTDIR=
 PREFIX=/usr/local
 BINDIR=$(DESTDIR)$(PREFIX)/bin
-CFLAGS=-Wall -Werror\
-	-Wformat=2\
-	-g\
 
-LDFLAGS=
+override CFLAGS+=-Wall -Werror -Wformat=2 -g
+override LDFLAGS?=
+
 OS=$(shell uname|tr A-Z a-z)
 INSTALL=install
 
@@ -40,8 +38,17 @@
 	dat.h\
 	sd-daemon.h\
 
+ifeq ($(OS),linux)
+
+LDLIBS=\
+	-lrt\
+
+endif
+
 CLEANFILES=\
 	vers.c\
+	*.gcda\
+	*.gcno\
 
 .PHONY: all
 all: $(TARG)
@@ -50,12 +57,10 @@
 	$(LINK.o) -o $@ $^ $(LDLIBS)
 
 .PHONY: install
-install: $(BINDIR) $(BINDIR)/$(TARG)
-
-$(BINDIR):
-	$(INSTALL) -d $@
+install: $(BINDIR)/$(TARG)
 
 $(BINDIR)/%: %
+	$(INSTALL) -d $(dir $@)
 	$(INSTALL) $< $@
 
 CLEANFILES:=$(CLEANFILES) $(TARG)
