=== debian/changelog ===
beanstalkd (1.11-1) unstable; urgency=medium

  * New upstream version 1.11
  * Bump dh compat to 12:
    + Drop B-D on dh-systemd
    + Do not pass --with systemd to the dh sequencer
    + Override dh_installsystemd instead of dh_systemd_enable
  * Bump Standards-Version to 4.4.0; no changes needed
  * Update Homepage link
  * Point Vcs-* to salsa.d.o
  * d/rules: get DEB_HOST_ARCH_OS from architecture.mk
  * d/copyright: adjust years
  * Drop obsolete patches:
    + 0004-fix-test-suite.patch: fixed upstream
    + 0005-fix-log-compaction-with-a-log-over-2GB.patch: included upstream
  * Refresh patches
  * Do not override LDLIBS from d/rules, patch Makefile instead
  * d/docs: update README path
  * Drop restrictions from debian/tests/control

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 17 Jul 2019 11:00:23 -0300
