=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Gregory Potamianos <greg.potamianos@gmail.com>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9), libtool, net-tools, dh-systemd (>= 1.5), libsystemd-dev [linux-any]
-Standards-Version: 3.9.8
-Homepage: https://kr.github.com/beanstalkd/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/beanstalkd.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/beanstalkd.git
+Build-Depends: debhelper (>= 12), libtool, net-tools, libsystemd-dev [linux-any]
+Standards-Version: 4.4.0
+Homepage: https://github.com/beanstalkd/beanstalkd
+Vcs-Git: https://salsa.debian.org/debian/beanstalkd.git
+Vcs-Browser: https://salsa.debian.org/debian/beanstalkd
 
 Package: beanstalkd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, netbase, lsb-base (>= 3.0-6)
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: doc-base
 Description: simple, in-memory, workqueue service
  Beanstalkd is a simple, fast, workqueue service (a specific case of message
