=== debian/tests/control ===
Test-Command: py.test debian/tests
Depends: beanstalkd, python-beanstalkc, python-pytest
