## beanstalkd 1.12

=== debian/changelog ===
beanstalkd (1.12-3deepin) unstable; urgency=medium

  [ LiChengGang ]
  * update changelog 

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 23 Feb 2023 15:05:58 +0800

beanstalkd (1.12-2) unstable; urgency=medium

  * Fix FTBFS on 64-bit big-endian systems
  * d/copyright: remove references to sd-daemon.*; removed upstream

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 24 Sep 2020 00:00:18 +0300

beanstalkd (1.12-1) unstable; urgency=medium

  * New upstream version 1.12
    + Drop 0003-Use-external-sd-daemon-on-linux.patch; upstream now detects
      libsystemd via pkg-config
      • B-D on pkg-config
    + Refresh remaining patches
  * Bump dh compat to 13; no changes needed
  * Bump Standards-Version to 4.5.0; no changes needed
  * d/copyright: bump debian/ years

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 23 Sep 2020 12:08:33 +0300

beanstalkd (1.11-2) unstable; urgency=medium

  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 21:45:55 -0400
