=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: Gregory Potamianos <greg.potamianos@gmail.com>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 12), libtool, net-tools, libsystemd-dev [linux-any]
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13),
+ libtool,
+ net-tools,
+ pkg-config,
+ libsystemd-dev [linux-any]
+Standards-Version: 4.5.0
 Homepage: https://github.com/beanstalkd/beanstalkd
 Vcs-Git: https://salsa.debian.org/debian/beanstalkd.git
 Vcs-Browser: https://salsa.debian.org/debian/beanstalkd
