## beanstalkd 1.13

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,18 @@
-PREFIX=/usr/local
+PREFIX?=/usr/local
 BINDIR=$(DESTDIR)$(PREFIX)/bin
 
 override CFLAGS+=-Wall -Werror -Wformat=2 -g
 override LDFLAGS?=
 
-OS=$(shell uname|tr A-Z a-z)
-INSTALL=install
+LDLIBS?=
+
+OS?=$(shell uname | tr 'A-Z' 'a-z')
+INSTALL?=install
+PKG_CONFIG?=pkg-config
+
+ifeq ($(OS),sunos)
+override LDFLAGS += -lxnet -lsocket -lnsl
+endif
 
 VERS=$(shell ./vers.sh)
 TARG=beanstalkd
@@ -20,7 +27,6 @@
 	net.o\
 	primes.o\
 	prot.o\
-	sd-daemon.o\
 	serv.o\
 	time.o\
 	tube.o\
@@ -31,24 +37,35 @@
 TOFILES=\
 	testheap.o\
 	testjobs.o\
+	testms.o\
 	testserv.o\
 	testutil.o\
 
 HFILES=\
 	dat.h\
-	sd-daemon.h\
 
 ifeq ($(OS),linux)
+   LDLIBS+=-lrt
+endif
 
-LDLIBS=\
-	-lrt\
-
+# systemd support can be configured via USE_SYSTEMD:
+#        no: disabled
+#       yes: enabled, build fails if libsystemd is not found
+# otherwise: enabled if libsystemd is found
+ifneq ($(USE_SYSTEMD),no)
+ifeq ($(shell $(PKG_CONFIG) --exists libsystemd && echo $$?),0)
+	LDLIBS+=$(shell $(PKG_CONFIG) --libs libsystemd)
+	CPPFLAGS+=-DHAVE_LIBSYSTEMD
+else
+ifeq ($(USE_SYSTEMD),yes)
+$(error USE_SYSTEMD is set to "$(USE_SYSTEMD)", but $(PKG_CONFIG) cannot find libsystemd)
+endif
+endif
 endif
 
 CLEANFILES=\
 	vers.c\
-	*.gcda\
-	*.gcno\
+	$(wildcard *.gc*)
 
 .PHONY: all
 all: $(TARG)
@@ -63,13 +80,15 @@
 	$(INSTALL) -d $(dir $@)
 	$(INSTALL) $< $@
 
-CLEANFILES:=$(CLEANFILES) $(TARG)
+CLEANFILES+=$(TARG)
 
 $(OFILES) $(MOFILE): $(HFILES)
 
+CLEANFILES+=$(wildcard *.o)
+
 .PHONY: clean
 clean:
-	rm -f *.o $(CLEANFILES)
+	rm -f $(CLEANFILES)
 
 .PHONY: check
 check: ct/_ctcheck
@@ -89,7 +108,7 @@
 
 $(TOFILES): $(HFILES) ct/ct.h
 
-CLEANFILES:=$(CLEANFILES) ct/_* ct/*.o
+CLEANFILES+=$(wildcard ct/_* ct/*.o ct/*.gc*)
 
 ifneq ($(shell ./verc.sh),$(shell cat vers.c 2>/dev/null))
 .PHONY: vers.c
