=== debian/changelog ===
beanstalkd (1.13-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Update standards version to 4.6.0, no changes needed
  * Set upstream metadata fields: Bug-Database, Bug-Submit
  * Use secure copyright file specification URI

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.13 (closes: #1076212)
  * Drop 0003-testserv-fix-endianness-issue.patch; merged upstream
  * Bump Standards-Version to 4.7.2; no changes needed
  * d/copyright: bump debian/ years
  * B-D on pkgconf instead of pkg-config
  * [lintian] Drop dependency on lsb-base
  * d/watch: bump to version 4; no changes needed
  * New patch 0003-Fix-handle_sigterm_pid1-signature.patch
    + Fix handle_sigterm_pid1() signature (Closes: #1096364)
  * Add Repository* fields to DEP-12 upstream metadata
  * Add DEP-8 tests

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 17 Mar 2025 10:22:26 +0200
