=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Build-Depends: debhelper-compat (= 13),
  libtool,
  net-tools,
- pkg-config,
+ pkgconf,
  libsystemd-dev [linux-any]
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/beanstalkd/beanstalkd
 Vcs-Git: https://salsa.debian.org/debian/beanstalkd.git
 Vcs-Browser: https://salsa.debian.org/debian/beanstalkd
 
 Package: beanstalkd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, netbase, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, netbase
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: doc-base
 Description: simple, in-memory, workqueue service
