=== debian/tests/control ===
Tests: simple-usage
Depends: beanstalkd, ruby, ruby-beaneater, ruby-json
