=== debian/watch ===
version=4

opts=filenamemangle=s|.*/v(.*)|beanstalkd-$1| \
 https://github.com/kr/beanstalkd/tags .*/v?(\d\S*)\.tar\.gz
